Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.registry
Interface Registry

All Known Implementing Classes:
  RegistryImpl

    public interface Registry

Method Summary
`void` | `addDevice(LocalDevice localDevice)`
`void` | `addDevice(RemoteDevice remoteDevice)`
`void` | `addListener(RegistryListener listener)`
`void` | `addLocalSubscription(LocalGENASubscription subscription)`
`void` | `addRemoteSubscription(RemoteGENASubscription subscription)`
`void` | `addResource(Resource resource)`
`void` | `addResource(Resource resource, int maxAgeSeconds)`
`UpnpServiceConfiguration` | `getConfiguration()`
`Device` | `getDevice(UDN udn, boolean rootOnly)`
`Collection<Device>` | `getDevices()`
`Collection<Device>` | `getDevices(DeviceType deviceType)`
`Collection<Device>` | `getDevices(ServiceType serviceType)`
`Collection<RegistryListener>` | `getListeners()`
`LocalDevice` | `getLocalDevice(UDN udn, boolean rootOnly)`
`Collection<LocalDevice>` | `getLocalDevices()`
`LocalGENASubscription` | `getLocalSubscription(String subscriptionId)`
`ProtocolFactory` | `getProtocolFactory()`
`RemoteDevice` | `getRemoteDevice(UDN udn, boolean rootOnly)`
`Collection<RemoteDevice>` | `getRemoteDevices()`
`RemoteGENASubscription` | `getRemoteSubscription(String subscriptionId)`
`Resource` | `getResource(URI pathQuery)`
`
`<T> T`
` | `getResourceModel(Class<T> modelType, Resource.Type type, URI pathQuery)`
`
`<T> T`
` | `getResourceModel(Class<T> modelType, URI pathQuery)`
`Collection<Resource>` | `getResources()`
`
`<T> Collection<Resource<T>>`
` | `getResources(Class<T> modelType)`
`
`<T> Collection<Resource<T>>`
` | `getResources(Class<T> modelType, Resource.Type type)`
`Service` | `getService(ServiceReference serviceReference)`
`void` | `removeAllLocalDevices()`
`void` | `removeAllRemoteDevices()`
`boolean` | `removeDevice(LocalDevice localDevice)`
`boolean` | `removeDevice(RemoteDevice remoteDevice)`
`boolean` | `removeDevice(UDN udn)`
`void` | `removeListener(RegistryListener listener)`
`boolean` | `removeLocalSubscription(LocalGENASubscription subscription)`
`void` | `removeRemoteSubscription(RemoteGENASubscription subscription)`
`boolean` | `removeResource(Resource resource)`
`void` | `shutdown()`
`boolean` | `update(RemoteDeviceIdentity rdIdentity)`
`boolean` | `updateLocalSubscription(LocalGENASubscription subscription)`
`void` | `updateRemoteSubscription(RemoteGENASubscription subscription)`

Method Detail

### getConfiguration

    UpnpServiceConfiguration getConfiguration()

### getProtocolFactory

    ProtocolFactory getProtocolFactory()

### shutdown

    void shutdown()

### addListener

    void addListener(RegistryListener listener)

### removeListener

    void removeListener(RegistryListener listener)

### getListeners

    Collection<RegistryListener> getListeners()

### addDevice

    void addDevice(LocalDevice localDevice)

### addDevice

    void addDevice(RemoteDevice remoteDevice)

### update

    boolean update(RemoteDeviceIdentity rdIdentity)

### removeDevice

    boolean removeDevice(LocalDevice localDevice)

### removeDevice

    boolean removeDevice(RemoteDevice remoteDevice)

### removeDevice

    boolean removeDevice(UDN udn)

### removeAllLocalDevices

    void removeAllLocalDevices()

### removeAllRemoteDevices

    void removeAllRemoteDevices()

### getDevice

    Device getDevice(UDN udn,
                     boolean rootOnly)

### getLocalDevice

    LocalDevice getLocalDevice(UDN udn,
                               boolean rootOnly)

### getRemoteDevice

    RemoteDevice getRemoteDevice(UDN udn,
                                 boolean rootOnly)

### getLocalDevices

    Collection<LocalDevice> getLocalDevices()

### getRemoteDevices

    Collection<RemoteDevice> getRemoteDevices()

### getDevices

    Collection<Device> getDevices()

### getDevices

    Collection<Device> getDevices(DeviceType deviceType)

### getDevices

    Collection<Device> getDevices(ServiceType serviceType)

### getService

    Service getService(ServiceReference serviceReference)

### addResource

    void addResource(Resource resource)

### addResource

    void addResource(Resource resource,
                     int maxAgeSeconds)

### removeResource

    boolean removeResource(Resource resource)

### getResource

    Resource getResource(URI pathQuery)
                         throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getResourceModel

    <T> T getResourceModel(Class<T> modelType,
                           URI pathQuery)
                       throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getResourceModel

    <T> T getResourceModel(Class<T> modelType,
                           Resource.Type type,
                           URI pathQuery)
                       throws IllegalArgumentException

  Throws:
    `IllegalArgumentException`

### getResources

    Collection<Resource> getResources()

### getResources

    <T> Collection<Resource<T>> getResources(Class<T> modelType)

### getResources

    <T> Collection<Resource<T>> getResources(Class<T> modelType,
                                             Resource.Type type)

### addLocalSubscription

    void addLocalSubscription(LocalGENASubscription subscription)

### getLocalSubscription

    LocalGENASubscription getLocalSubscription(String subscriptionId)

### updateLocalSubscription

    boolean updateLocalSubscription(LocalGENASubscription subscription)

### removeLocalSubscription

    boolean removeLocalSubscription(LocalGENASubscription subscription)

### addRemoteSubscription

    void addRemoteSubscription(RemoteGENASubscription subscription)

### getRemoteSubscription

    RemoteGENASubscription getRemoteSubscription(String subscriptionId)

### updateRemoteSubscription

    void updateRemoteSubscription(RemoteGENASubscription subscription)

### removeRemoteSubscription

    void removeRemoteSubscription(RemoteGENASubscription subscription)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.